Smart Proxy - Feature #12211

Improve DHCP subnets parsing to get more informations from DHCP server
10/19/2015 10:07 AM - Baptiste Agasse

Status: Closed
Priority: Normal
Assignee: Baptiste Agasse
Category: DHCP
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/330
Description

At this time, only network and netmask are parsed from DHCP server configuration.
This patch add ability to retrieve following informations, if configured for the current subnet:

Gateway

Primary DNS server

Secondary DNS server

DHCP range (from IP addr...to IP addr)
This feature, will provide a way to import these information from the foreman 'subnets import' feature.

The pull request will only provide the ISC dhcp implementation.

Related issues:

Related to Smart Proxy - Bug #12466: Parsing subnets for ISC DHCP fails Closed
Related to Smart Proxy - Feature #14396: Support for subnet options inside "p... New

Related to Smart Proxy - Bug #16079: ISC DHCP subnets fail to parse with host... Closed
Blocks Foreman - Feature #12212: Import addtitionnal informations from DHCP s... Closed
03/30/2016
08/11/2016
10/19/2015

Associated revisions

Revision e2a21ecf - 11/12/2015 07:40 AM - Baptiste Agasse

Fixes #12211 - Improve DHCP subnets parsing to get more informations from DHCP server

History

#1 - 10/19/2015 12:45 PM - Baptiste Agasse
- Blocks Feature #12212: Import addtitionnal informations from DHCP smart proxy added

#2 - 10/20/2015 05:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/330 added
- Pull request deleted ()

#3 - 10/20/2015 05:43 AM - Baptiste Agasse

Pull request: https:/github.com/theforeman/smart-proxy/pull/330

#4 - 11/12/2015 07:43 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 11/12/2015 08:02 AM - Anonymous
- Status changed from Ready For Testing to Closed

05/22/2024
https://github.com/theforeman/smart-proxy/pull/330

- % Done changed from 0 to 100
Applied in changeset e2a21ecff6cf153890e93ad7¢c28a932396ae02d8.

#6 - 11/13/2015 04:57 AM - Dominic Cleal
- Related to Bug #12466: Parsing subnets for ISC DHCP fails added

#7 - 03/31/2016 04:28 AM - Dominic Cleal
- Related to Feature #14396: Support for subnet options inside "pool” blocks added

#8 - 11/11/2016 04:20 AM - Lukas Zapletal
- Related to Bug #16079: ISC DHCP subnets fail to parse with host or class stanzas inside added
